package eu.siacs.conversations.crypto.sasl;

import android.util.Base64;

import java.nio.charset.Charset;

import eu.siacs.conversations.entities.Account;
import eu.siacs.conversations.xml.TagWriter;

public class Plain extends SaslMechanism {
    public Plain(final TagWriter tagWriter, final Account account) {
        super(tagWriter, account, null);
    }

    @Override
    public String getMechanism() {
        return "PLAIN";
    }

    @Override
    public String getStartAuth() {
        final String sasl = '\u0000' + account.getUsername() + '\u0000' + account.getPassword();
        return Base64.encodeToString(sasl.getBytes(Charset.defaultCharset()), Base64.NO_WRAP);
    }
}
